0

I installed Magento Enterprise 2.2.0 version but cannot install B2B extension following the link

I am getting the below error:

[InvalidArgumentException]
  Could not find a matching version of package magento/extension-b2b. Check the package spelling, your version constr
  aint and that the package is available in a stability which matches your minimum-stability (stable).

Is B2B really suported? And if yes how and where can I find information to install and use it.

Thank you.

  • do you get prompted to enter username and password? – Greg Jul 12 '18 at 11:16
0

It looks like you didn't buy the extension on your account that you use in your auth.json file. Make sure this is present on the account and try again.

|improve this answer|||||
  • Buy? From where? Isn't it free and can be downloaded via composer and validated by magento access keys? – Twinks Shah Jul 12 '18 at 11:18
  • If it's free then add it to your account. You need to use your authentication keys from Magento Market Place account that has this module. – Greg Jul 12 '18 at 11:23
  • Can you provide the market place link for the extension, as far as i could search there is no such link – Twinks Shah Jul 12 '18 at 11:29
  • Hymm... just make sure your credentials are correct in the auth.json file. Ask Magento Marekt Place customer support to confirm it. They extension must be somewhat connected to the market place as in step 2 it asks for authentication keys. 100% something wrong in auth.json file – Greg Jul 12 '18 at 11:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.